﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Animaciones</title>
	<style>
	.fondo{
		display:grid;
		grid-template-columns:600px;
		grid-template-rows:450px 150px;
		grid-template-areas:
			"cielo"
			"tierra";
	}
	.cielo{
		grid-area:cielo;
		background-color:#0099CC;
		animation: cielo 10s infinite normal;
	}
	.tierra{
		grid-area:tierra;
		background-color:#33CC33;
		animation: tierra 10s infinite normal;
	}
	
	.sol{
		width:60px;
		height:60px;
		background-color:#FFFF00;
		border-radius:100%;
		animation: sol 10s infinite normal;
		position:absolute;
		left:500px;
		top:600px;
	}
	.nube{
		animation: nube 10s infinite normal;
		position:absolute;
		left:0px;
		top:150px;
	}
	.luna{
		animation: luna 10s infinite normal;
		position:absolute;
		left:-150px;
		top:50px;
	}
	
	@keyframes sol{
		0% {transform: translate(0,0);}
		33% {transform: translate(0,-500px);}
		66% {transform: translate(-450px,-500px);}
		100% {transform: translate(-500px,500px);}
	}
	
	@keyframes nube{
		0% {transform: translate(0,0); opacity:1;}
		100% {transform: translate(600px,0); opacity:0;}
	}
	
	@keyframes luna{
		0% {transform: translate(0,0);}
		100% {transform: translate(600px,0);}
	}
	@keyframes cielo{
		0% {background-color:#03B4F3;}
		100% {background-color:#013649;}
	}
	@keyframes tierra{
		0% {background-color:#33CC33;}
		100% {background-color:#186118;}
	}

	
	</style>
</head>

<body>
	<main>
		<div class="fondo">
			<div class="cielo"></div>

			<div class="tierra"></div>
		</div>

			<div class="sol"></div>

			<div class="nube"><img src="images/nube.png" width="120px"/></div>

			<div class="luna"><img src="images/luna2.png" width="50px"/></div>
		
	</main>
</body>

</html>
